## Get NEPT token params **get** `/api/v1/nept/params` Get NEPT token params ### Query Parameters - `with_text: optional boolean` Include text variation fields - `with_value: optional boolean` Calculate and include USD values for amounts, where applicable ### Returns - `data: NeptParams` - `asset_info: AssetInfo` Asset identifiers with associated metadata - `asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: string` - `group: "native" or "token"` - `"native"` - `"token"` - `group_key: string` - `classification: AssetClassification` The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.) Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification. While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change. - `Regular = object { kind, neptune_receipt_asset }` - `kind: "regular"` - `"regular"` - `neptune_receipt_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `NeptuneReceiptToken = object { kind, origin_asset }` - `kind: "neptune_receipt_token"` - `"neptune_receipt_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `LiquidStakingToken = object { kind, origin_asset }` - `kind: "liquid_staking_token"` - `"liquid_staking_token"` - `origin_asset: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `metadata: AssetMetadata` Additional metadata for assets - `decimals_denom: number` Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. `18` for `INJ`) - `decimals_display: number` Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations) - `name: string` Full name of the asset - `symbol: string` Symbol of the asset, e.g.: `NEPT` `INJ` - `symbol_denom: string` Denom symbol for the asset (e.g. `inj` for `INJ`, `sat` for `BTC`) - `emission_rate: string` The emission rate of NEPT in tokens per year - `extra: object { text, value }` - `text: object { emission_rate }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `emission_rate: string` - `value: object { emission_rate, extra, price }` USD values for the corresponding amounts above. Will not be null when query param `with_value` is `true`. ### Note This variant group contains an additional `price` field (set to the number used in value calculation). The embedded text group will contain the text variant if `with_text` was specified as well. - `emission_rate: string` - `extra: object { text }` - `text: object { emission_rate, price }` Human-readable variants of USD values. Will not be null when query params `with_text` and `with_value` are `true`. - `emission_rate: string` - `price: string` Text representation of price - `price: string` Price used in value calculations - `staking_pools: array of object { duration, extra, index, params }` Staking pools - `duration: number` The lockup duration for this pool in seconds - `extra: object { text }` - `text: object { duration, index }` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `duration: string` - `index: string` - `index: number` The ordered index (position) of this pool - `params: StakingPoolParams` Staking pool contract parameters - `flash_loan_weight: string` The pool's weight (multiplier) for flash loans volume - `gov_weight: string` The pool's weight (multiplier) on governance for an associated stake - `health_weight: string` The pool's weight (multiplier) on account health for an associated stake - `reward_weight: string` The pool's weight (multiplier) on rewards for an associated stake - `tokens_per_weight: number` Weight:token scaling factor This is defined in the contract spec to mitigate library type restrictions - `error: unknown` Error data. Guaranteed `null` for successful response. - `status: number` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: string` HTTP status text ### Example ```http curl https://api-v2.nept.finance/api/v1/nept/params ``` #### Response ```json { "data": { "asset_info": { "asset": { "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept", "group": "native", "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept" }, "metadata": { "name": "Neptune Token", "symbol": "NEPT", "symbol_denom": "nept", "decimals_denom": 6, "decimals_display": 5 }, "classification": { "kind": "regular", "neptune_receipt_asset": null } }, "emission_rate": "1000000000000", "tokens_per_weight": 1000, "staking_pools": [ { "index": 0, "duration": 604800, "extra": { "text": { "duration": "7 days", "index": "1" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } }, { "index": 1, "duration": 2592000, "extra": { "text": { "duration": "30 days", "index": "2" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } }, { "index": 2, "duration": 7776000, "extra": { "text": { "duration": "90 days", "index": "3" } }, "params": { "reward_weight": "2", "gov_weight": "2", "health_weight": "1", "flash_loan_weight": "0" } } ], "extra": { "text": { "emission_rate": "1,000,000.00000 NEPT" }, "value": { "price": "0.032585758453916404", "emission_rate": "32585.758453916404", "extra": { "text": { "emission_rate": "$32,585.75", "price": "$0.03" } } } } }, "error": null, "status": 200, "status_text": "200 OK" } ```